<?php
// $Id: views-view-popup.tpl.php,v 1.1.2.1 2008/09/23 16:41:03 bwong Exp $

/**
 * Template to display a view as a table with popups.
 *
 * - $title : The title of this group of rows.  May be empty.
 * - $fields: An array of CSS IDs to use for each field id.
 * - $class: A class or classes to apply to the table, based on settings. Keyed by field ID.
 * - $popup_results : An array of results, each containing:
 *   	* - An id to give to two html elements (the popup element and the table row that instantiates the popup).
 *   	* - Content, two arrays: containing content to display in the table and content to display in the popup.
 * - $popup_headers : Contains two arrays: The headers for the table and the field names for the popup.
 */
?>
<table class="<?php print $class;?>">
  <?php if (!empty($title)) : ?>
    <caption><?php print $title; ?></caption>
  <?php endif; ?>
  <thead>
    <tr>
      <?php foreach ($popup_headers['displayed'] as $field => $label): ?>
        <th class="views-field views-field-<?php print $fields[$field]; ?>">
          <?php print $label; ?>
        </th>
      <?php endforeach; ?>
    </tr>
  </thead>
  <tbody>
    <?php foreach ($popup_results as $count => $row): ?>
      <tr rel="#views-popup-<?php print $row['id_num']; ?>" id="<?php print $row['id_num'];?>" class="views-popup-row <?php print ($count % 2 == 0) ? 'even' : 'odd';?>">
        <?php foreach ($row['content']['displayed'] as $field => $content): ?>
          <td class="views-field views-field-<?php print $field; ?>">
            <?php print $content; ?>
          </td>
        <?php endforeach; ?>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>

<?php foreach($popup_results as $count => $row): ?>
<div class="views-popup" id="views-popup-<?php print $row['id_num']; ?>">
<?php foreach($row['content']['popup'] as $field => $content): ?>
<?php print $popup_headers['popup'][$field].' : '.$content.'<br>'; ?>
<?php endforeach ?>
</div>
<?php endforeach;
?>
